Package com.sun.jna.platform.win32

## Enum HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE

- java.lang.Object
- - java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE>
  - - com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE>`
  Enclosing interface:
    HighLevelMonitorConfigurationAPI

      public static enum HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE
      extends java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE>

  Specifies whether to get or set a monitor's red, green, or blue gain.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MC_BLUE_GAIN` | Blue gain
    `MC_GREEN_GAIN` | Green gain
    `MC_RED_GAIN` | Red gain

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MC_RED_GAIN

          public static final HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE MC_RED_GAIN

      Red gain

    - #### MC_GREEN_GAIN

          public static final HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE MC_GREEN_GAIN

      Green gain

    - #### MC_BLUE_GAIN

          public static final HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE MC_BLUE_GAIN

      Blue gain

  - ### Method Detail

    - #### values

          public static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE c : HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HighLevelMonitorConfigurationAPI.MC_GAIN_TYPE valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null